petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMInterpolationAddPoints

Add points at which we will interpolate the fields

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMInterpolationAddPoints(DMInterpolationInfo ctx, PetscInt n, PetscReal points[])

Not collective

### Input Parameters

| ctx | - the context
| n | - the number of points
| points | - the coordinates for each point, an array of size n * dim

Note: The coordinate information is copied.

### See Also

DMInterpolationSetDim(), DMInterpolationEvaluate(), DMInterpolationCreate()

### Level

intermediate

### Location

src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages